summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-02 23:38:54 -0500
committernick <myownlittlworld@hotmail.com>2009-05-02 23:38:54 -0500
commite2f6690cc2cf57df3788a20f5be2dfbdf5d660b8 (patch)
tree023c1f657bd8e76080a1aa232c5e3238fecd1a2c
parentd400ae382e09b091fb372ffc9163273ff40ddb1d (diff)
parent28083ccefa13e4137afb300544072e7e176c7de8 (diff)
downloadgemrb-gameinstallers-e2f6690cc2cf57df3788a20f5be2dfbdf5d660b8.tar.bz2
gemrb-gameinstallers-e2f6690cc2cf57df3788a20f5be2dfbdf5d660b8.zip
Merged with latest from upstream.
-rw-r--r--TODO8
-rwxr-xr-xauto-installer.sh134
-rwxr-xr-xbg1/install-5cd-extra.sh17
-rwxr-xr-xbg1/install-5cd-minimal.sh19
-rwxr-xr-xbg1/install-patch-baldurdash-fix.sh17
-rwxr-xr-xbg1/install-patch-baldurdash-text.sh19
-rwxr-xr-xbg1/install-patch-intl.sh21
-rwxr-xr-xbg1/install-patch-us.sh21
-rw-r--r--includes/autoinstall-includes.sh47
-rw-r--r--includes/cd-includes.sh27
-rw-r--r--includes/generic-includes.sh40
-rw-r--r--includes/patch-includes.sh23
-rwxr-xr-xpst/install-2cd-extra.sh17
-rwxr-xr-xpst/install-2cd-minimal.sh19
-rwxr-xr-xpst/install-4cd-extra.sh17
-rwxr-xr-xpst/install-4cd-minimal.sh19
-rwxr-xr-xpst/install-patch-fixpack.sh35
-rwxr-xr-xpst/install-patch-official.sh21
-rwxr-xr-xpst/install-patch-tweaks.sh37
-rwxr-xr-xpst/install-patch-ub.sh35
-rwxr-xr-xtotsc/auto-totsc-installer.sh43
-rwxr-xr-xtotsc/install-1cd-uk.sh19
-rwxr-xr-xtotsc/install-3cd-extra.sh36
-rwxr-xr-xtotsc/install-3cd-minimal.sh59
-rwxr-xr-xtotsc/install-patch-baldurdash-fix.sh17
-rwxr-xr-xtotsc/install-patch-baldurdash-text.sh19
-rwxr-xr-xtotsc/install-patch-intl.sh21
-rwxr-xr-xtotsc/install-patch-uk.sh21
-rwxr-xr-xtotsc/install-patch-us.sh21
29 files changed, 579 insertions, 270 deletions
diff --git a/TODO b/TODO
deleted file mode 100644
index 108b3ec..0000000
--- a/TODO
+++ /dev/null
@@ -1,8 +0,0 @@
-Add option to manually choose game version from list
-
-Version control
-
-email qwinn, thank, and suggest offering zipped pkgs & maybe direct link to latest
-
-Ask on the forum about splitting to two cfg files, eg gemrb.cfg & bg1.cfg, listing utility & rationale (particularly gemrb install details should be separate from game install details). Offer to code it
- best would be to read system / user (/etc|.gemrb)/gemrb.cfg, plus .gemrb/gamename.cfg
diff --git a/auto-installer.sh b/auto-installer.sh
index f66e510..b6d7bd1 100755
--- a/auto-installer.sh
+++ b/auto-installer.sh
@@ -1,4 +1,21 @@
-#!/bin/sh
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Runs the appropriate installer(s) for an Infinity Engine game,
+# based on the CD inserted
FULLGAMENAME=''
MINSCRIPT=''
@@ -17,68 +34,72 @@ parseargs "$@"
echo "Checking CD version"
CDMD5=$(md5sum $CDMOUNT/data1.cab|awk '{print $1}')
-case "$CDMD5" in
- $BG1_5CD_INTL_MD5 )
- FULLGAMENAME="Baldurs Gate 1: 5CD International version"
- SHORTGAMENAME="bg1"
- MINSCRIPT=bg1/install-5cd-minimal.sh
- EXTRASCRIPT=bg1/install-5cd-extra.sh
- PATCHES="bg1/install-patch-intl.sh bg1/install-patch-baldurdash-fix.sh bg1/install-patch-baldurdash-text.sh"
- WINDOWSFILES="baldur.exe bgmain.exe config.exe keymap.ini luaauto.cfg update.url"
- CDNO=5
- ;;
- $BG1_TOTSC_3CD_US_MD5 )
- FULLGAMENAME="Baldurs Gate Tales of the Sword Coast: 3CD US version"
- SHORTGAMENAME="bg1"
- MINSCRIPT=bg1/install-3cd-minimal.sh
- EXTRASCRIPT=bg1/install-3cd-extra.sh
- PATCHES="bg1/install-patch-baldurdash-fix.sh bg1/install-patch-baldurdash-text.sh"
- WINDOWSFILES="baldur.exe bgmain.exe config.exe keymap.ini luaauto.cfg update.url"
- CDNO=3
- ;;
- $BG1_TOTSC_1CD_UK_MD5 )
- FULLGAMENAME="Baldurs Gate Tales of the Sword Coast: 1CD UK version"
- SHORTGAMENAME="totsc"
- MINSCRIPT=totsc/install-1cd-uk.sh
- PATCHES="totsc/install-patch-uk.sh totsc/install-patch-baldurdash-fix.sh totsc/install-patch-baldurdash-text.sh"
- WINDOWSFILES="bgmain2.exe baldur.exe config.exe mconvert.exe"
- ;;
- $PST_2CD_MD5 )
- FULLGAMENAME="Planescape Torment: 2CD version"
- SHORTGAMENAME="pst"
- MINSCRIPT=pst/install-2cd-minimal.sh
- EXTRASCRIPT=pst/install-2cd-extra.sh
- PATCHES="pst/install-patch-fixpack.sh pst/install-patch-ub.sh pst/install-patch-tweaks.sh"
- WINDOWSFILES="torment.exe ereg"
- CDNO=2
- ;;
- $PST_4CD_MD5 )
- FULLGAMENAME="Planescape Torment: 4CD version"
- SHORTGAMENAME="pst"
- MINSCRIPT=pst/install-4cd-minimal.sh
- EXTRASCRIPT=pst/install-4cd-extra.sh
- PATCHES="pst/install-patch-official.sh pst/install-patch-fixpack.sh pst/install-patch-ub.sh pst/install-patch-tweaks.sh"
- WINDOWSFILES="torment.exe ereg"
- CDNO=4
- ;;
- * )
- echo "Unrecognised CD - please select game from menu"
- # TODO: Add menu to show and select all known BG1 versions
- exit 1
- ;;
-esac
+while [ -z "$MINSCRIPT" ]; do
+ case "$CDMD5" in
+ $BG1_5CD_INTL_MD5 )
+ FULLGAMENAME="Baldurs Gate 1: 5CD International version"
+ SHORTGAMENAME="baldursgate1"
+ MINSCRIPT=bg1/install-5cd-minimal.sh
+ EXTRASCRIPT=bg1/install-5cd-extra.sh
+ PATCHES="bg1/install-patch-intl.sh bg1/install-patch-baldurdash-fix.sh bg1/install-patch-baldurdash-text.sh"
+ WINDOWSFILES="baldur.exe bgmain.exe config.exe keymap.ini luaauto.cfg update.url"
+ CDNO=5
+ ;;
+ $BG1_TOTSC_3CD_US_MD5 )
+ FULLGAMENAME="Baldurs Gate & Tales of the Sword Coast: 3CD US version"
+ SHORTGAMENAME="baldursgate1totsc"
+ MINSCRIPT=bg1/install-3cd-minimal.sh
+ EXTRASCRIPT=bg1/install-3cd-extra.sh
+ PATCHES="bg1/install-patch-baldurdash-fix.sh bg1/install-patch-baldurdash-text.sh"
+ WINDOWSFILES="baldur.exe bgmain.exe config.exe keymap.ini luaauto.cfg update.url"
+ CDNO=3
+ ;;
+ $BG1_TOTSC_1CD_UK_MD5 )
+ FULLGAMENAME="Baldurs Gate Tales of the Sword Coast: 1CD UK version"
+ SHORTGAMENAME="baldursgate1totsc"
+ MINSCRIPT=totsc/install-1cd-uk.sh
+ PATCHES="totsc/install-patch-uk.sh totsc/install-patch-baldurdash-fix.sh totsc/install-patch-baldurdash-text.sh"
+ WINDOWSFILES="bgmain2.exe baldur.exe config.exe mconvert.exe"
+ ;;
+ $PST_2CD_MD5 )
+ FULLGAMENAME="Planescape Torment: 2CD version"
+ SHORTGAMENAME="planescapetorment"
+ MINSCRIPT=pst/install-2cd-minimal.sh
+ EXTRASCRIPT=pst/install-2cd-extra.sh
+ PATCHES="pst/install-patch-fixpack.sh pst/install-patch-ub.sh pst/install-patch-tweaks.sh"
+ WINDOWSFILES="torment.exe ereg"
+ CDNO=2
+ ;;
+ $PST_4CD_MD5 )
+ FULLGAMENAME="Planescape Torment: 4CD version"
+ SHORTGAMENAME="planescapetorment"
+ MINSCRIPT=pst/install-4cd-minimal.sh
+ EXTRASCRIPT=pst/install-4cd-extra.sh
+ PATCHES="pst/install-patch-official.sh pst/install-patch-fixpack.sh pst/install-patch-ub.sh pst/install-patch-tweaks.sh"
+ WINDOWSFILES="torment.exe ereg"
+ CDNO=4
+ ;;
+ * )
+ echo "Unrecognised CD - please select game from menu"
+ choosegame
+ ;;
+ esac
+done
[ -z "$TARGETDIR" ] && [ -n "$SHORTGAMENAME" ] && export TARGETDIR="$PWD/$SHORTGAMENAME"
[ -z "$TARGETDIR" ] && diequietly
+# if targetdir already exists, make sure we never clobber it
+[ -d "$TARGETDIR" ] && export alwaysdiesafely=1
+
echo "$FULLGAMENAME detected, installing"
-$MINSCRIPT -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+"$scriptdir/$MINSCRIPT" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
if [ -n "$EXTRASCRIPT" ]; then
if query "Do you want to do a full install, so the CDs will not be needed again?" y; then
FULLINSTALL=1
- $EXTRASCRIPT -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
+ "$scriptdir/$EXTRASCRIPT" -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
else
FULLINSTALL=0
fi
@@ -86,15 +107,16 @@ fi
if [ -n "$PATCHES" ]; then
for patch in $PATCHES; do
- # grab 2nd line from scripts
- patchtitle=$(sed -n 2p $patch|cut -d ' ' -f 2-)
+ patch="$scriptdir/$patch"
+ # grab 17th line from scripts (description line; after license)
+ patchtitle=$(sed -n 17p $patch|cut -d ' ' -f 2-)
if query "Do you want to install $patchtitle" y; then
$patch \
-i "$TARGETDIR" \
-p "$PATCHDIR" \
-l "$LANGUAGE" \
-c "$CDMOUNT" \
- 1>/dev/null || diequietly
+ 1>/dev/null
fi
done
fi
diff --git a/bg1/install-5cd-extra.sh b/bg1/install-5cd-extra.sh
index 445b36c..9e6847d 100755
--- a/bg1/install-5cd-extra.sh
+++ b/bg1/install-5cd-extra.sh
@@ -1,5 +1,20 @@
#!/bin/bash
-# Installs all extra Baldur's Gate content (so CDs aren't needed)
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Baldur's Gate (5CD International version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/bg1/install-5cd-minimal.sh b/bg1/install-5cd-minimal.sh
index 274bffa..2e6ff59 100755
--- a/bg1/install-5cd-minimal.sh
+++ b/bg1/install-5cd-minimal.sh
@@ -1,5 +1,20 @@
-#!/bin/sh
-# Baldur's Gate 5CD International version minimal
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Baldur's Gate (5CD International version) minimal
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/bg1/install-patch-baldurdash-fix.sh b/bg1/install-patch-baldurdash-fix.sh
index 939d4f6..be9b3be 100755
--- a/bg1/install-patch-baldurdash-fix.sh
+++ b/bg1/install-patch-baldurdash-fix.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1/TOTSC Baldurdash fix pack
scriptdir="$(dirname $0)"/..
@@ -17,7 +32,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1FixPack11.exe -d $TMPDIR 2>/dev/null
rm $TMPDIR/BG1FixPack11.exe $TMPDIR/bg1fixpack11readme.txt
-cp $TMPDIR/* "$TARGETDIR/override/" || die
+cp $TMPDIR/* "$TARGETDIR/override/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/bg1/install-patch-baldurdash-text.sh b/bg1/install-patch-baldurdash-text.sh
index 266c4ee..9dbf9a9 100755
--- a/bg1/install-patch-baldurdash-text.sh
+++ b/bg1/install-patch-baldurdash-text.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 Baldurdash text pack
scriptdir="$(dirname $0)"/..
@@ -9,7 +24,7 @@ parseargs "$@"
if [ "$LANGUAGE" != "English" ]; then
echo "The Baldurdash text pack is only available in English"
- die
+ diesoftly
fi
checkforbin unzip wget
@@ -21,7 +36,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1NoTOSCGameTextUpdate10.exe
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1NoTOSCGameTextUpdate10.exe -d $TMPDIR 2>/dev/null
-cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/bg1/install-patch-intl.sh b/bg1/install-patch-intl.sh
index 5126ec7..2acb59e 100755
--- a/bg1/install-patch-intl.sh
+++ b/bg1/install-patch-intl.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 official international patch
scriptdir="$(dirname $0)"/..
@@ -13,11 +28,11 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/bgintl114315.exe
-unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || die
-unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || die
+unzip $TMPDIR/bgintl114315.exe -d $TMPDIR || diesoftly
+unshield -g "$LANGUAGE" -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
LANGUAGE="$(echo $LANGUAGE|tr A-Z a-z|tr ' ' _)" # alter formatting
-cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || die
+cp -R $TMPDIR/"$LANGUAGE"/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/bg1/install-patch-us.sh b/bg1/install-patch-us.sh
index 3e0d2cb..c3fe4b0 100755
--- a/bg1/install-patch-us.sh
+++ b/bg1/install-patch-us.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 official US/Canada patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/bg114315.exe
-cabextract -L $TMPDIR/bg114315.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/bg114315.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/english/* "$TARGETDIR" || die
+cp -R $TMPDIR/english/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/includes/autoinstall-includes.sh b/includes/autoinstall-includes.sh
index a3bfa52..7ee3024 100644
--- a/includes/autoinstall-includes.sh
+++ b/includes/autoinstall-includes.sh
@@ -1,3 +1,18 @@
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
### variables ###
[ -z "$FULLINSTALL" ] && export FULLINSTALL=1
@@ -7,7 +22,8 @@
# a simplified version of query() from sorcery
# $1 = question
# $2 = default boolean answer [yYnN]
-function query {
+function query
+{
while true; do
RESPONSE=""
echo -e -n "$1 [$2] "
@@ -22,6 +38,35 @@ function query {
done
}
+function choosegame
+{
+ while true; do
+ choice=0
+ echo "Choose the game to install from the list:"
+ echo "1 | Baldur's Gate 1 (5CD International version)"
+ echo "2 | Baldurs Gate & Tales of the Sword Coast (3CD US version)"
+ echo "3 | Tales of the Sword Coast (1CD UK version)"
+ echo "4 | Planescape: Torment (4CD version)"
+ echo "5 | Planescape: Torment (2CD version)"
+
+ read -n 1 choice
+ echo
+
+ case $choice in
+ 1 ) export CDMD5="138528155dfeb695bd63f90eacee7dc0"
+ return 0 ;;
+ 2 ) export CDMD5="1a6828b97a27967e8c4acc25e1ef48d2"
+ return 0 ;;
+ 3 ) export CDMD5="e27d259ddc0171ff945dbba136e60309"
+ return 0 ;;
+ 4 ) export CDMD5="5e8c2075163aca124de4a467fb33063d"
+ return 0 ;;
+ 5 ) export CDMD5="640b61443cc86c434f1b6826e63c0e33"
+ return 0 ;;
+ esac
+ done
+}
+
function recommendcfg
{
# usage: recommendcfg [numofcds]
diff --git a/includes/cd-includes.sh b/includes/cd-includes.sh
index 877aa57..e7c2526 100644
--- a/includes/cd-includes.sh
+++ b/includes/cd-includes.sh
@@ -1,3 +1,18 @@
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
### default variables ###
[ -z "$CDMOUNT" ] && export CDMOUNT="/media/cdrom"
@@ -62,15 +77,3 @@ function getcd
return 0
}
-
-function copycdextras
-{
- # usage: copycdextras cdnum
- # essentially a case insensitive cp -R cd#/*
- CDNUMBER=$1
-
- for filename in $(find $CDMOUNT/[cC][dD]$CDNUMBER/ -type f || die); do
- relativepath=$(echo $filename|gawk -F "$CDMOUNT/[cC][dD]$CDNUMBER" '{print $2}'|tr A-Z a-z)
- cp $filename "$TARGETDIR"/$relativepath || die
- done
-}
diff --git a/includes/generic-includes.sh b/includes/generic-includes.sh
index 07de078..51cffcb 100644
--- a/includes/generic-includes.sh
+++ b/includes/generic-includes.sh
@@ -1,3 +1,18 @@
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
### default variables ###
[ -z "$TMPDIR" ] && export TMPDIR="/tmp/iepatch"
@@ -10,17 +25,30 @@
function die
{
- #echo "Install can not continue, cleaning up partial install"
- #rm -rf "$TARGETDIR"
+ echo "Install can not continue"
+
+ if [ "$alwaysdiesafely" != "1" ]; then
+ echo "Cleaning up partial install"
+ rm -rf "$TARGETDIR"
+ fi
echo ""
echo "The install failed; sorry."
- echo "Please make sure you have the correct CDs for $FULLGAMENAME"
+ echo "Please make sure you have the correct CDs for the game"
echo "and enough free disk space, and try again."
exit 1
}
+function diesoftly
+{
+ # a non-destructive die
+
+ echo " ! The install failed; sorry." 1>&2
+
+ exit 1
+}
+
function diequietly
{
exit 1
@@ -59,7 +87,7 @@ function checkforbin
function setperms
{
- # usage setperms targetdir
+ # usage: setperms targetdir
if ! [ -d "$1" ]; then
return 1
@@ -94,6 +122,8 @@ function usage
function parseargs
{
+ # usage: parseargs args...
+
while getopts ":i:p:c:l:" options; do
case $options in
i ) export TARGETDIR="$OPTARG";;
@@ -110,7 +140,7 @@ function parseargs
function copylower
{
- #usage: copylower source destination
+ # usage: copylower source destination
if [ -d "$1" ]; then
for filename in $(find "$1" -type f); do
lowerpath="$(echo $filename|gawk -F "$1" '{print $2}'|tr A-Z a-z)"
diff --git a/includes/patch-includes.sh b/includes/patch-includes.sh
index 0f76409..7081e9d 100644
--- a/includes/patch-includes.sh
+++ b/includes/patch-includes.sh
@@ -1,3 +1,18 @@
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
### default variables ###
[ -z "$PATCHDIR" ] && export PATCHDIR="$PWD"
@@ -6,8 +21,14 @@
function getpatch
{
+ # usage: getpatch url [filename]
+
url=$1
- filename=$(basename $url)
+ if [ $# -gt 1 ]; then
+ filename="$2"
+ else
+ filename=$(basename $url)
+ fi
if [ -f "$PATCHDIR/$filename" ]; then
cp "$PATCHDIR/$filename" $TMPDIR || die
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
index c8f3d36..f37e173 100755
--- a/pst/install-2cd-extra.sh
+++ b/pst/install-2cd-extra.sh
@@ -1,5 +1,20 @@
#!/bin/sh
-# Installs Planescape Torment 2CD version extras
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Planescape: Torment (2CD version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/pst/install-2cd-minimal.sh b/pst/install-2cd-minimal.sh
index fc5dc4a..61ff812 100755
--- a/pst/install-2cd-minimal.sh
+++ b/pst/install-2cd-minimal.sh
@@ -1,7 +1,20 @@
#!/bin/sh
-# Installs Planescape Torment 2CD version minimal
-
-FULLGAMENAME="Planescape Torment: 2CD version"
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Planescape: Torment (2CD version) minimal
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/pst/install-4cd-extra.sh b/pst/install-4cd-extra.sh
index 23dee20..f66c79e 100755
--- a/pst/install-4cd-extra.sh
+++ b/pst/install-4cd-extra.sh
@@ -1,5 +1,20 @@
#!/bin/sh
-# Installs Planescape Torment 4CD version extras
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Planescape: Torment (4CD version) content (so CDs aren't needed)
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
index 0401e32..09cd175 100755
--- a/pst/install-4cd-minimal.sh
+++ b/pst/install-4cd-minimal.sh
@@ -1,7 +1,20 @@
#!/bin/sh
-# Installs Planescape Torment 4CD version minimal
-
-FULLGAMENAME="Planescape Torment: 4CD version"
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Installs Planescape: Torment (4CD version) minimal
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
diff --git a/pst/install-patch-fixpack.sh b/pst/install-patch-fixpack.sh
deleted file mode 100755
index 6630023..0000000
--- a/pst/install-patch-fixpack.sh
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/bash
-# Planescape: Torment Ultimate Weidu Fixpack
-
-scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
-
-parseargs "$@"
-
-checkforbin WeiDU unrar
-
-setuptmp
-
-if [ ! -f "$PATCHDIR/pstfixpack.rar" ]; then
- echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-fixpack" 1>&2
- echo "and put it in $PATCHDIR to install this patch" 1>&2
- exit
-fi
-
-unrar x -o+ -cl "$PATCHDIR/pstfixpack.rar" "$TARGETDIR" || die
-rm "$TARGETDIR/setup-pst-fix.exe"
-cd "$TARGETDIR"
-
-case "$LANGUAGE" in
- "German" ) langno=1 ;;
- "Spanish" ) langno=2 ;;
- "Italian" ) langno=3 ;;
- * ) langno=0 ;;
-esac
-
-# echo to install all manually as --yes assumes English
-echo -e "${langno}\nn\ni\ni\ni\n\n" \
-| WeiDU --continue setup-pst-fix.tp2 || die
-
-setperms "$TARGETDIR"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index 485fad1..5a9b200 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# Planescape: Torment official patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://www.sorcerers.net/Games2/Torment/Trmt11.exe
-cabextract -L $TMPDIR/Trmt11.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/Trmt11.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/program_executable_files/* "$TARGETDIR" || die
+cp -R $TMPDIR/program_executable_files/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/pst/install-patch-tweaks.sh b/pst/install-patch-tweaks.sh
deleted file mode 100755
index a90ee40..0000000
--- a/pst/install-patch-tweaks.sh
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/bin/bash
-# Planescape: Torment Tweak Pack
-# Note: this only installs the Banter Accelerator
-# and Stackable Items tweaks
-
-scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
-
-parseargs "$@"
-
-checkforbin WeiDU unrar
-
-setuptmp
-
-if [ ! -f "$PATCHDIR/psttweak.rar" ]; then
- echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-qtweaks" 1>&2
- echo "and put it in $PATCHDIR to install this patch" 1>&2
- exit
-fi
-
-unrar x -o+ -cl "$PATCHDIR/psttweak.rar" "$TARGETDIR" || die
-rm "$TARGETDIR/setup-pst-tweak.exe"
-cd "$TARGETDIR"
-
-case "$LANGUAGE" in
- "German" ) langno=1 ;;
- "Spanish" ) langno=2 ;;
- "Italian" ) langno=3 ;;
- * ) langno=0 ;;
-esac
-
-# echo to install all manually as --yes assumes English
-echo -e "${langno}\nn\n2\nn\nn\ni\nn\ni\nn\nn\nn\nn\nn\nn\nn\nn\nn\n" \
-| WeiDU --continue setup-pst-tweak.tp2 || die
-
-setperms "$TARGETDIR"
diff --git a/pst/install-patch-ub.sh b/pst/install-patch-ub.sh
deleted file mode 100755
index b26a66c..0000000
--- a/pst/install-patch-ub.sh
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/bash
-# Planescape: Torment Unfinished Business
-
-scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
-
-parseargs "$@"
-
-checkforbin WeiDU unrar
-
-setuptmp
-
-if [ ! -f "$PATCHDIR/pstub.rar" ]; then
- echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-ub" 1>&2
- echo "and put it in $PATCHDIR to install this patch" 1>&2
- exit
-fi
-
-unrar x -o+ -cl "$PATCHDIR/pstub.rar" "$TARGETDIR" || die
-rm "$TARGETDIR/setup-pst-ub.exe"
-cd "$TARGETDIR"
-
-case "$LANGUAGE" in
- "German" ) langno=1 ;;
- "Spanish" ) langno=2 ;;
- "Italian" ) langno=3 ;;
- * ) langno=0 ;;
-esac
-
-# echo to install all manually as --yes assumes English
-echo -e "${langno}\nn\ni\ni\nn\n\n" \
-| WeiDU --continue setup-pst-ub.tp2 || die
-
-setperms "$TARGETDIR"
diff --git a/totsc/auto-totsc-installer.sh b/totsc/auto-totsc-installer.sh
deleted file mode 100755
index d485e5a..0000000
--- a/totsc/auto-totsc-installer.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-source ../includes/generic-includes.sh
-source ../cd-includes.sh
-source ../patch-includes.sh
-source ../autoinstall-includes.sh
-
-parseargs "$@"
-
-echo "Checking CD version"
-CDMD5=$(md5sum $CDMOUNT/data1.cab|awk '{print $1}')
-
-case "$CDMD5" in
- $BG1_TOTSC_1CD_UK_MD5 )
- FULLGAMENAME="Baldurs Gate Tales of the Sword Coast: 1CD UK version"
- INSTALLSCRIPT=./install-totsc-1cd-uk.sh
- OFFICIALPATCH=./install-totsc-patch-uk.sh
- ;;
- * )
- echo "Unrecognised CD - please select Baldurs Gate version from menu"
- # TODO: Add menu to show and select all known BG1 versions
- exit 1
- ;;
-esac
-
-echo "$FULLGAMENAME detected, installing"
-$INSTALLSCRIPT -i "$TARGETDIR" -c "$CDMOUNT" 1>/dev/null || diequietly
-if query "Do you want to install the official patch?" y; then
- $OFFICIALPATCH -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
-fi
-if query "Do you want to install the baldurdash fixes?" y; then
- ./install-totsc-patch-baldurdash-fix.sh -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
- if [ "$LANGUAGE" = "English" ]; then
- ./install-totsc-patch-baldurdash-text.sh -i "$TARGETDIR" -p "$PATCHDIR" 1>/dev/null || diequietly
- fi
-fi
-if query "Do you want to remove unneeded windows files?" n; then
- rm -f "$TARGETDIR"/*.exe
- rm -f "$TARGETDIR"/*.url
- rm -f "$TARGETDIR"/luaauto.cfg
-fi
-echo
-echo "$FULLGAMENAME installed successfully"
diff --git a/totsc/install-1cd-uk.sh b/totsc/install-1cd-uk.sh
index 7330f43..9f2f582 100755
--- a/totsc/install-1cd-uk.sh
+++ b/totsc/install-1cd-uk.sh
@@ -1,5 +1,20 @@
#!/bin/sh
-# Tales of the Sword Coast 1CD version
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Tales of the Sword Coast (1CD UK version)
scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
@@ -18,7 +33,6 @@ unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
mkdir -p "$TARGETDIR"/save || die
-cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/save || die
cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/minimumdata
@@ -32,5 +46,6 @@ mkdir -p "$TARGETDIR"/movies
copylower "$CDMOUNT/cd6/" "$TARGETDIR"
mkdir -p "$TARGETDIR"/mpsave
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die
setperms "$TARGETDIR"
diff --git a/totsc/install-3cd-extra.sh b/totsc/install-3cd-extra.sh
new file mode 100755
index 0000000..31cc5d7
--- /dev/null
+++ b/totsc/install-3cd-extra.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Extra Baldur's Gate (3CD version) content (so CDs aren't needed)
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+copylower "$CDMOUNT/cd1/" "$TARGETDIR"
+
+getcd 2 c04758a6af171bf9a35d8e3d4dcd807c CD2/Movies/MovieCD2.bif
+copylower "$CDMOUNT/cd2/" "$TARGETDIR"
+copylower "$CDMOUNT/cd5/" "$TARGETDIR"
+cp $CDMOUNT/CD2/Manual/Baldur.pdf "$TARGETDIR"/manual || die
+
+getcd 3 ba4224f50f890e10561d22f602d6a991 CD3/Movies/MovieCD3.bif
+copylower "$CDMOUNT/cd3/" "$TARGETDIR"
+copylower "$CDMOUNT/cd4/" "$TARGETDIR"
+copylower "$CDMOUNT/cd6/" "$TARGETDIR"
+setperms "$TARGETDIR"
diff --git a/totsc/install-3cd-minimal.sh b/totsc/install-3cd-minimal.sh
new file mode 100755
index 0000000..3493cad
--- /dev/null
+++ b/totsc/install-3cd-minimal.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Baldur's Gate & Tales of the Sword Coast (3CD version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 1a6828b97a27967e8c4acc25e1ef48d2 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/minimumdata
+
+cp -R "$TARGETDIR"/recommended_music/music/* "$TARGETDIR"/music/ || die
+rm -r "$TARGETDIR"/recommended_music
+
+cp -R "$TARGETDIR"/english_sounds/sounds/* "$TARGETDIR"/sounds/ || die
+rm -r "$TARGETDIR"/english_sounds
+
+cp -R "$TARGETDIR"/english/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/english
+
+mkdir -p "$TARGETDIR"/movies
+mkdir -p "$TARGETDIR"/manual
+
+mkdir -p "$TARGETDIR"/save
+mkdir -p "$TARGETDIR"/mpsave
+cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die
+
+cp $CDMOUNT/Manual/BGManual.pdf "$TARGETDIR"/manual/ || die
+cp $CDMOUNT/Manual/TotscManual.pdf "$TARGETDIR"/manual/ || die
+
+cp $CDMOUNT/baldur.ico "$TARGETDIR" || die
+
+setperms "$TARGETDIR"
diff --git a/totsc/install-patch-baldurdash-fix.sh b/totsc/install-patch-baldurdash-fix.sh
index 939d4f6..be9b3be 100755
--- a/totsc/install-patch-baldurdash-fix.sh
+++ b/totsc/install-patch-baldurdash-fix.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1/TOTSC Baldurdash fix pack
scriptdir="$(dirname $0)"/..
@@ -17,7 +32,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1FixPack11.exe -d $TMPDIR 2>/dev/null
rm $TMPDIR/BG1FixPack11.exe $TMPDIR/bg1fixpack11readme.txt
-cp $TMPDIR/* "$TARGETDIR/override/" || die
+cp $TMPDIR/* "$TARGETDIR/override/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-baldurdash-text.sh b/totsc/install-patch-baldurdash-text.sh
index 35fba39..36e4304 100755
--- a/totsc/install-patch-baldurdash-text.sh
+++ b/totsc/install-patch-baldurdash-text.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC Baldurdash text pack
scriptdir="$(dirname $0)"/..
@@ -9,7 +24,7 @@ parseargs "$@"
if [ "$LANGUAGE" != "English" ]; then
echo "The Baldurdash text pack is only available in English"
- die
+ diesoftly
fi
checkforbin unzip wget
@@ -21,7 +36,7 @@ getpatch http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe
# unzip complains unnecessarily about skipping non-zip
# part so don't print errors or die on failure
unzip -L $TMPDIR/BG1TOSCGameTextUpdate11.exe -d $TMPDIR 2>/dev/null
-cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-intl.sh b/totsc/install-patch-intl.sh
index 4581c9d..19c2b15 100755
--- a/totsc/install-patch-intl.sh
+++ b/totsc/install-patch-intl.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC official International patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesIntl5512.exe
-cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesIntl5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-uk.sh b/totsc/install-patch-uk.sh
index b7cc2f2..09ea70c 100755
--- a/totsc/install-patch-uk.sh
+++ b/totsc/install-patch-uk.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC official UK patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesUK5512.exe
-cabextract -L $TMPDIR/BGTalesUK5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesUK5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"
diff --git a/totsc/install-patch-us.sh b/totsc/install-patch-us.sh
index 1c400d6..5939ac4 100755
--- a/totsc/install-patch-us.sh
+++ b/totsc/install-patch-us.sh
@@ -1,4 +1,19 @@
#!/bin/bash
+# Copyright 2009 Nick White
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
# BG1 TOTSC official US/Canada patch
scriptdir="$(dirname $0)"/..
@@ -13,10 +28,10 @@ setuptmp
getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
-cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || die
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || diesoftly
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
-cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"